#!python
import os,unittest
import table 
import table.tabulate as tab

testdir = os.path.join(os.path.split(__file__)[0],"data")

class TestTable(unittest.TestCase):

    def testpair(self):

        genome  = 'hg18'
        tags    = [os.path.join(testdir,"treat_tags.15000.bed")] 
        tags   += [os.path.join(testdir,"input_tags.15000.bed")] 
        regions = os.path.join(testdir,"nuc.100.bed")
        annot  = None
        output = None 
        tab.extract_tags( genome, regions, tags, annot, output )
 
        #self.assertEqual(T,B.nearest_site)

def suite():
    suite = unittest.TestSuite()
    suite.addTest(TestTable('testpair'))
    return suite

if __name__ == "__main__":
    unittest.main()
